ON_Linetype Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_linetype.h>`

Inheritance diagram for ON_Linetype:

## Public Member Functions

| ON_Linetype ()
| ~ON_Linetype ()
void | Default ()
ON_BOOL32 | IsValid (ON_TextLog *text_log=NULL) const
void | Dump (ON_TextLog &) const
ON_BOOL32 | Write (ON_BinaryArchive &) const
ON_BOOL32 | Read (ON_BinaryArchive &)
ON_UUID | ModelObjectId () const
bool | SetLinetypeName (const char *)
bool | SetLinetypeName (const wchar_t *)
const wchar_t * | LinetypeName () const
bool | SetLinetypeIndex (int)
int | LinetypeIndex () const
double | PatternLength () const
int | SegmentCount () const
int | AppendSegment (const ON_LinetypeSegment &segment)
bool | RemoveSegment (int index)
bool | SetSegment (int index, const ON_LinetypeSegment &segment)
bool | SetSegment (int index, double length, ON_LinetypeSegment::eSegType type)
ON_LinetypeSegment | Segment (int index) const
ON_SimpleArray< ON_LinetypeSegment > & | Segments ()
const ON_SimpleArray< ON_LinetypeSegment > & | Segments () const
Public Member Functions inherited from ON_Object
bool | CopyFrom (const ON_Object *src)
| ON_Object ()
| ON_Object (const ON_Object &)
ON_Object & | operator= (const ON_Object &)
virtual | ~ON_Object ()
void | EmergencyDestroy ()
virtual void | MemoryRelocate ()
ON_BOOL32 | IsKindOf (const ON_ClassId *pClassId) const
virtual unsigned int | SizeOf () const
virtual ON__UINT32 | DataCRC (ON__UINT32 current_remainder) const
virtual ON::object_type | ObjectType () const
bool | SetUserString (const wchar_t *key, const wchar_t *string_value)
int | SetUserStrings (int count, const ON_UserString *user_strings, bool bReplace)
bool | GetUserString (const wchar_t *key, ON_wString &string_value) const
int | GetUserStrings (ON_ClassArray< ON_UserString > &user_strings) const
int | GetUserStringKeys (ON_ClassArray< ON_wString > &user_string_keys) const
int | UserStringCount () const
ON_BOOL32 | AttachUserData (ON_UserData *pUserData)
ON_BOOL32 | DetachUserData (ON_UserData *pUserData)
ON_UserData * | GetUserData (const ON_UUID &userdata_uuid) const
void | PurgeUserData ()
ON_UserData * | FirstUserData () const
void | TransformUserData (const ON_Xform &xform)
void | CopyUserData (const ON_Object &source_object)
void | MoveUserData (ON_Object &source_object)
virtual void | DestroyRuntimeCache (bool bDelete=true)

## Public Attributes

int | m_linetype_index
ON_UUID | m_linetype_id
ON_wString | m_linetype_name

## Detailed Description

Definition at line 40 of file opennurbs_linetype.h.

## Constructor & Destructor Documentation

ON_Linetype::ON_Linetype | ( |  | ) |

ON_Linetype::~ON_Linetype | ( |  | ) |

## Member Function Documentation

int ON_Linetype::AppendSegment | ( | const ON_LinetypeSegment & | segment | ) |

void ON_Linetype::Default | ( |  | ) |

void ON_Linetype::Dump | ( | ON_TextLog & |  | ) | const

virtual

Reimplemented from ON_Object.

ON_BOOL32 ON_Linetype::IsValid | ( | ON_TextLog * | text_log = `NULL` | ) | const

virtual

Implements ON_Object.

int ON_Linetype::LinetypeIndex | ( |  | ) | const

const wchar_t* ON_Linetype::LinetypeName | ( |  | ) | const

ON_UUID ON_Linetype::ModelObjectId | ( |  | ) | const

virtual

Reimplemented from ON_Object.

double ON_Linetype::PatternLength | ( |  | ) | const

ON_BOOL32 ON_Linetype::Read | ( | ON_BinaryArchive & |  | ) |

virtual

Reimplemented from ON_Object.

bool ON_Linetype::RemoveSegment | ( | int | index | ) |

ON_LinetypeSegment ON_Linetype::Segment | ( | int | index | ) | const

int ON_Linetype::SegmentCount | ( |  | ) | const

ON_SimpleArray<ON_LinetypeSegment>& ON_Linetype::Segments | ( |  | ) |

const ON_SimpleArray<ON_LinetypeSegment>& ON_Linetype::Segments | ( |  | ) | const

bool ON_Linetype::SetLinetypeIndex | ( | int |  | ) |

bool ON_Linetype::SetLinetypeName | ( | const char * |  | ) |

bool ON_Linetype::SetLinetypeName | ( | const wchar_t * |  | ) |

bool ON_Linetype::SetSegment | ( | int | index,
|  | const ON_LinetypeSegment & | segment
| ) |  |

bool ON_Linetype::SetSegment | ( | int | index,
|  | double | length,
|  | ON_LinetypeSegment::eSegType | type
| ) |  |

ON_BOOL32 ON_Linetype::Write | ( | ON_BinaryArchive & |  | ) | const

virtual

Reimplemented from ON_Object.

## Member Data Documentation

ON_UUID ON_Linetype::m_linetype_id

Definition at line 168 of file opennurbs_linetype.h.

int ON_Linetype::m_linetype_index

Definition at line 167 of file opennurbs_linetype.h.

ON_wString ON_Linetype::m_linetype_name

Definition at line 169 of file opennurbs_linetype.h.

The documentation for this class was generated from the following file:

- /build/pcl-0nnAvv/pcl-1.7.2/surface/include/pcl/surface/3rdparty/opennurbs/opennurbs_linetype.h